Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ganglia
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-14 15:21 UTC by Matty
Modified: 2020-10-23 22:50 UTC (History)
4 users (show)

Fixed In Version: ganglia-3.7.2-33.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:50:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Matty 2015-12-14 15:21:55 UTC
Description of problem:

When I install ganglia from epel it bombs due to a missing dependency:

$ yum install ganglia-gmetad.x86_64 ganglia-gmond.x86_64 ganglia-web.x86_64

....

--> Finished Dependency Resolution
Error: Package: php-ZendFramework-1.12.16-1.el7.noarch (epel)
           Requires: php-bcmath
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


I checked the yum repo and don't see the php-bcmath module. Would it be possible to get this added?


Version-Release number of selected component (if applicable):


How reproducible:

Run:

$ yum install ganglia-gmetad.x86_64 ganglia-gmond.x86_64 ganglia-web.x86_64

On a RHEL 7 server.


Steps to Reproduce:
1. See above

Actual results:

Cannot install ganglia w/o adding the bcmath module.

Expected results:

A working ganglia installation.


Additional info:

Comment 1 Matty 2015-12-14 15:23:24 UTC
Here is the full output from the install operation:

$ yum install ganglia-gmetad.x86_64 ganglia-gmond.x86_64 ganglia-web.x86_64
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
Resolving Dependencies
--> Running transaction check
---> Package ganglia-gmetad.x86_64 0:3.7.2-2.el7 will be installed
--> Processing Dependency: ganglia = 3.7.2-2.el7 for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: librrd.so.4()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: libmemcachedutil.so.2()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: libmemcached.so.11()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: libganglia.so.0()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: libconfuse.so.0()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: ganglia-gmetad-3.7.2-2.el7.x86_64
---> Package ganglia-gmond.x86_64 0:3.7.2-2.el7 will be installed
---> Package ganglia-web.x86_64 0:3.7.1-2.el7 will be installed
--> Processing Dependency: php-gd for package: ganglia-web-3.7.1-2.el7.x86_64
--> Processing Dependency: php-ZendFramework for package: ganglia-web-3.7.1-2.el7.x86_64
--> Processing Dependency: php for package: ganglia-web-3.7.1-2.el7.x86_64
--> Running transaction check
---> Package apr.x86_64 0:1.4.8-3.el7 will be installed
---> Package ganglia.x86_64 0:3.7.2-2.el7 will be installed
---> Package libconfuse.x86_64 0:2.7-7.el7 will be installed
---> Package libmemcached.x86_64 0:1.0.16-5.el7 will be installed
---> Package php.x86_64 0:5.4.16-36.el7_1 will be installed
--> Processing Dependency: php-common(x86-64) = 5.4.16-36.el7_1 for package: php-5.4.16-36.el7_1.x86_64
--> Processing Dependency: php-cli(x86-64) = 5.4.16-36.el7_1 for package: php-5.4.16-36.el7_1.x86_64
--> Processing Dependency: httpd-mmn = 20120211x8664 for package: php-5.4.16-36.el7_1.x86_64
--> Processing Dependency: httpd for package: php-5.4.16-36.el7_1.x86_64
---> Package php-ZendFramework.noarch 0:1.12.16-1.el7 will be installed
--> Processing Dependency: php-xml for package: php-ZendFramework-1.12.16-1.el7.noarch
--> Processing Dependency: php-process for package: php-ZendFramework-1.12.16-1.el7.noarch
--> Processing Dependency: php-bcmath for package: php-ZendFramework-1.12.16-1.el7.noarch
---> Package php-gd.x86_64 0:5.4.16-36.el7_1 will be installed
--> Processing Dependency: libt1.so.5()(64bit) for package: php-gd-5.4.16-36.el7_1.x86_64
---> Package rrdtool.x86_64 0:1.4.8-9.el7 will be installed
--> Processing Dependency: dejavu-sans-mono-fonts for package: rrdtool-1.4.8-9.el7.x86_64
--> Running transaction check
---> Package dejavu-sans-mono-fonts.noarch 0:2.33-6.el7 will be installed
--> Processing Dependency: dejavu-fonts-common = 2.33-6.el7 for package: dejavu-sans-mono-fonts-2.33-6.el7.noarch
---> Package httpd.x86_64 0:2.4.6-40.el7 will be installed
--> Processing Dependency: httpd-tools = 2.4.6-40.el7 for package: httpd-2.4.6-40.el7.x86_64
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.4.6-40.el7.x86_64
---> Package php-ZendFramework.noarch 0:1.12.16-1.el7 will be installed
--> Processing Dependency: php-bcmath for package: php-ZendFramework-1.12.16-1.el7.noarch
---> Package php-cli.x86_64 0:5.4.16-36.el7_1 will be installed
---> Package php-common.x86_64 0:5.4.16-36.el7_1 will be installed
--> Processing Dependency: libzip.so.2()(64bit) for package: php-common-5.4.16-36.el7_1.x86_64
---> Package php-process.x86_64 0:5.4.16-36.el7_1 will be installed
---> Package php-xml.x86_64 0:5.4.16-36.el7_1 will be installed
---> Package t1lib.x86_64 0:5.1.2-14.el7 will be installed
--> Running transaction check
---> Package apr-util.x86_64 0:1.5.2-6.el7 will be installed
---> Package dejavu-fonts-common.noarch 0:2.33-6.el7 will be installed
---> Package httpd-tools.x86_64 0:2.4.6-40.el7 will be installed
---> Package libzip.x86_64 0:0.10.1-8.el7 will be installed
---> Package php-ZendFramework.noarch 0:1.12.16-1.el7 will be installed
--> Processing Dependency: php-bcmath for package: php-ZendFramework-1.12.16-1.el7.noarch
--> Finished Dependency Resolution
Error: Package: php-ZendFramework-1.12.16-1.el7.noarch (epel)
           Requires: php-bcmath
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 2 Matty 2015-12-14 15:25:56 UTC
Here is the yum related info:

$ yum info epel-release
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
Installed Packages
Name        : epel-release
Arch        : noarch
Version     : 7
Release     : 5
Size        : 24 k
Repo        : installed
Summary     : Extra Packages for Enterprise Linux repository configuration
URL         : http://download.fedoraproject.org/pub/epel
License     : GPLv2
Description : This package contains the Extra Packages for Enterprise Linux (EPEL) repository
            : GPG key as well as configuration for yum.

$ yum search bcmath
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
================================================ Matched: bcmath ================================================
php-ircmaxell-security-lib.noarch : A Base Security Library
php-phpseclib-math-biginteger.noarch : Pure-PHP arbitrary precision integer arithmetic library

Comment 3 Fedora Update System 2020-10-08 22:13:48 UTC
FEDORA-EPEL-2020-fee165c6a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

Comment 4 Fedora Update System 2020-10-09 00:02:43 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-23 22:50:38 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.